gh(1)

NAME

gh-issue-edit - Edit an issue

SYNOPSIS

gh issue edit { | } [flags]

DESCRIPTION

Edit an issue

OPTIONS

--add-assignee=[]
    Add assigned users by their login. Use "@me" to assign yourself.

--add-label=[]
    Add labels by name

--add-project=[]
    Add the issue to projects by name

-b, --body=""
    Set the new body.

-F, --body-file=""
    Read body text from file

-m, --milestone=""
    Edit the milestone the issue belongs to by name

--remove-assignee=[]
    Remove assigned users by their login. Use "@me" to unassign yourself.

--remove-label=[]
    Remove labels by name

--remove-project=[]
    Remove the issue from projects by name

-t, --title=""
    Set the new title.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    $ gh issue edit 23 --title "I found a bug" --body "Nothing works"
    $ gh issue edit 23 --add-label "bug,help wanted" --remove-label "core"
    $ gh issue edit 23 --add-assignee @me --remove-assignee monalisa,hubot
    $ gh issue edit 23 --add-project "Roadmap" --remove-project v1,v2
    $ gh issue edit 23 --milestone "Version 1"
    $ gh issue edit 23 --body-file body.txt

SEE ALSO

gh-issue(1)